ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

Need IONCube_Loader_Lin_4.6.0

Author Message
oscar.romero



Joined: 02 Apr 2016
Posts: 1
Location: SPS

PostPosted: Sat Apr 02, 2016 4:13 pm    Post subject: Need IONCube_Loader_Lin_4.6.0 Reply with quote

Hello guys!

I need the ioncube_loader 4.6.0 for a development environment. I don't have access to the production server because the developer has gone and can't contact.

We have an xcart website but i have a copy for development environment...When I run a local copy i got a message like:

Fatal error: The file /vagrant/sites/ferremosa/modules/TXS_Xtreme_Gear/config.php was encoded by the ionCube Encoder for PHP 4 and cannot run under PHP 5.5 or PHP 5.6. Please ask the provider of the script to provide a version encoded with the ionCube Encoder for either PHP 5.3 or PHP 5.4 or PHP 5.5. in Unknown on line 0

I have the ioncube_loader_lin_5.5.so but seems that it is incompatible. So I guess that 4.6.0 will work fine because the production web server has php 5.3 with ioncube_4.6.0


Best regards!
Oscar Romero
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 188

PostPosted: Mon Apr 04, 2016 9:25 am    Post subject: Reply with quote

Hi,

It is better to ask such questions in our Support Help Desk at http://support.ioncube.com

It is not the version of the Loader that is the problem but the version of PHP. As the message says, the file "was encoded by the ionCube Encoder for PHP 4 and cannot run under PHP 5.5 or PHP 5.6". So it simply cannot run on PHP 5.5 or PHP 5.6, regardless of which loader version is installed.

There are two basic ways around this:

1. Downgrade PHP to PHP 5.4 in your development environment. The encoded files should run with the latest Loader for PHP 5.4.

2. Request a copy of the encoded files produced by a PHP 5 or above ionCube Encoder from the script provider.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum